<div class="row">
    <div class="col s12">
      <div class="container"><div id="forgot-password" class="row">
<div class="col s12 m6 l4 z-depth-4 offset-m4 card-panel border-radius-6 forgot-card bg-opacity-8">
  <form class="login-form" #f="ngForm" (ngSubmit)="resetPassword(f.value)">
    <div class="row">
      <div class="input-field col s12">
        <h5 class="ml-4">Compte oubliées ?</h5>
        <p class="ml-4">Nous venons de vous envoyer un code de vérification</p>
      </div>
    </div>

    <div class="card-alert card gradient-45deg-red-pink"  *ngIf="success != 'success'">
        <div class="card-content white-text">
          <p>
            <i class="material-icons">error</i> {{success}}</p>
        </div>
        <button type="button" class="close white-text" data-dismiss="alert" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>


    <div class="row">
      <div class="input-field col s12">
        <i class="material-icons prefix pt-2">person_outline</i>
        <input  type="text" class="validate" placeholder="Code de Securité" name="token" #token="ngModel" ngModel required>
        <small  class="errorTxt1" *ngIf="token.touched  &&  token.invalid" ><div id="uname-error" class="error">saisir votre token</div></small>

        <label for="email" class="active">Token*</label>
      </div>
      <div class="input-field col s12">
        <i class="material-icons prefix pt-2">lock_outline</i>
        <input id="pwd" class="validate" type="password" placeholder="nouveau mot de passe" name="password" #password="ngModel" ngModel required> 
        <small  class="errorTxt1" *ngIf="password.touched  &&  password.invalid" ><div id="uname-error" class="error">saisir votre password</div></small>

        <label for="pwd" class="active">Nouveau mot de passe*</label>
      </div>
      <div class="input-field col s12">
        <i class="material-icons prefix pt-2">lock_outline</i>
        <input id="pwd1" class="validate" type="password" placeholder="Confirme mot de passe" name="confirmPassword" #confirmPassword="ngModel" ngModel required>
        <small  class="errorTxt1" *ngIf="!(confirmPassword == password) && confirmPassword.touched " ><div id="uname-error" class="error">confirme mot de passe</div></small>

        <label for="pwd1" class="active">Entrez à nouveau le nouveau mot de passe*</label>
      </div>
    </div>
    <div class="row">
      <div class="input-field col s12">
        <button [disabled]="f.invalid"  type="submit" class="btn waves-effect waves-light border-round gradient-45deg-purple-deep-orange col s12 mb-1">Change Mot de Passe</button>
      </div>
    </div>
    <div class="row">
      <div class="input-field col s6 m6 l6">
        <p class="margin medium-small"><a href="/">Login</a></p>
      </div>
      <div class="input-field col s6 m6 l6">
        <p class="margin right-align medium-small"><a href="/Inscription">Inscription</a></p>
      </div>
    </div>
  </form>
</div>
</div>
      </div>
      <div class="content-overlay"></div>
    </div>
  </div>